<?php
include_once('./_common.php');

if ($sw == 'move')
    $act = '이동';
else if ($sw == 'copy')
    $act = '복사';
else 
    alert('sw 값이 제대로 넘어오지 않았습니다.');

// 게시판 관리자 이상 복사, 이동 가능
if ($is_admin != "board" && $is_admin != "group" && $is_admin != "super") 
    alert_close('게시판 관리자 이상 접근이 가능합니다.');

$g5['title'] = $g4['title'] = '게시물 ' . $act;

include_once(G5_PATH.'/head.sub.php');

$wr_id_list = '';
if ($wr_id)
    $wr_id_list = $wr_id;
else {
    $comma = '';
    for ($i=0; $i<count($_POST['chk_wr_id']); $i++) {
        $wr_id_list .= $comma . $_POST['chk_wr_id'][$i];
        $comma = ',';
    }
}

//$sql = " select * from {$g5['board_table']} a, {$g5['group_table']} b where a.gr_id = b.gr_id and bo_table <> '$bo_table' ";
// 원본 게시판을 선택 할 수 있도록 함.
$sql = " select * from {$g5['board_table']} a, {$g5['group_table']} b where a.gr_id = b.gr_id ";
if ($is_admin == 'group') {
    $sql .= " and b.gr_admin = '{$member['mb_id']}' ";
} else if ($is_admin == 'board') {
    $sql .= " and a.bo_admin = '{$member['mb_id']}' ";
}

if(AMINA) {
	$sql .= " order by a.gr_id, a.bo_order, a.bo_table ";
} else {
	$sql .= " order by a.gr_id, a.bo_order_search, a.bo_table ";
}
$result = sql_query($sql);
for ($i=0; $row=sql_fetch_array($result); $i++) 
{
    $list[$i] = $row;
}
?>

<link rel="stylesheet" href="<?php echo AMINA_URL; ?>/css/admin.css">
<style>
	p { margin:10px 0 !important; padding:0px !important; }
	input[type="text"] { border:1px solid #ddd; padding:0px 5px; line-height:24px; height:24px; }
	button[type="submit"] { background:red; color:#fff; font-weight:bold; }
</style>
<div id="copymove" class="new_win">
    <h1 class="main_title"><?php echo $g5['title']; ?></h1>

    <form name="fboardmoveall" method="post" action="<?php echo AMINA_URL; ?>/move_update.php" onsubmit="return fboardmoveall_submit(this);">
    <input type="hidden" name="sw" value="<?php echo $sw; ?>">
    <input type="hidden" name="bo_table" value="<?php echo $bo_table; ?>">
    <input type="hidden" name="wr_id_list" value="<?php echo $wr_id_list; ?>">
    <input type="hidden" name="sfl" value="<?php echo $sfl; ?>">
    <input type="hidden" name="stx" value="<?php echo $stx; ?>">
    <input type="hidden" name="spt" value="<?php echo $spt; ?>">
    <input type="hidden" name="page" value="<?php echo $page; ?>">
    <input type="hidden" name="act" value="<?php echo $act; ?>">
    <input type="hidden" name="url" value="<?php echo $_SERVER['HTTP_REFERER']; ?>">
    <table class="admin_tbl">
    <caption>
		<p><?php echo $act; ?>할 게시판을 한개 이상 선택하여 주십시오.</p>
	</caption>
	<colgroup>
		<col class="w40">
	</colgroup>
	<thead>
    <tr class="head_gray">
        <th scope="col">선택</th>
        <th scope="col">게시판</th>
    </tr>
    </thead>
    <tbody>
	<tr>
	<td>&nbsp;</td>
	<td><b>분류명</b> <input type=text name="ca_name" value=""> (미입력시 원글 분류 등록)</td>
	</tr>
	<tr bgcolor="#fafafa">
	<td><input type="checkbox" id="chk_date" name="chk_date" value="1"></td>
	<td><label for="chk_date"><b>현재 시간으로 글등록일 수정(댓글은 제외)</b></label></td>
	</tr>
	<?php if ($sw == 'copy') { ?>
		<tr bgcolor="#fafafa">
		<td><input type="checkbox" id="chk_cmt" name="chk_cmt" value="1"></td>
		<td><label for="chk_cmt"><b>댓글은 복사하지 않기(글만 복사)</b></label></td>
		</tr>
	<?php } ?>
	<tr bgcolor="#fafafa">
	<td><input type="checkbox" id="chk_memo" name="chk_memo" value="1"></td>
	<td><label for="chk_memo"><b><?php echo $act; ?> 알림 메시지 댓글로 등록</b></label></td>
	</tr>

	<?php for ($i=0; $i<count($list); $i++) { ?>
    <tr>
        <td>
            <input type="checkbox" id="chk<?php echo $i; ?>" name="chk_bo_table[]" value="<?php echo $list[$i]['bo_table']; ?>">
        </td>
        <td>
            <label for="chk<?php echo $i; ?>">
            <?php
	            echo $list[$i]['gr_subject'] . " &gt; ";
		        $save_gr_subject = $list[$i]['gr_subject'];
            ?>
            <?php echo $list[$i]['bo_subject']; ?> (<?php echo $list[$i]['bo_table']; ?>)
            </label>
        </td>
    </tr>
    <?php } ?>
    </tbody>
    </table>

	<br />
	    <div class="btn_win right">
		    <button type="submit" id="btn_submit" class="btn_red"><?php echo $act; ?></button>
	    </div>
		<div class="clear"></div>
	<br /><br />
    </form>

</div>

<script>
$(function() {
    $(".btn_win").append("<a class=\"btn_gray\">닫기</a>");

    $(".btn_win a").click(function() {
        window.close();
    });
});

function fboardmoveall_submit(f)
{
    var check = false;

    if (typeof(f.elements['chk_bo_table[]']) == 'undefined')
        ;
    else {
        if (typeof(f.elements['chk_bo_table[]'].length) == 'undefined') {
            if (f.elements['chk_bo_table[]'].checked)
                check = true;
        } else {
            for (i=0; i<f.elements['chk_bo_table[]'].length; i++) {
                if (f.elements['chk_bo_table[]'][i].checked) {
                    check = true;
                    break;
                }
            }
        }
    }

    if (!check) {
        alert('게시물을 '+f.act.value+'할 게시판을 한개 이상 선택해 주십시오.');
        return false;
    }

    document.getElementById('btn_submit').disabled = true;

    f.action = '<?php echo AMINA_URL; ?>/move_update.php';
    return true;
}
</script>

</td></tr></table>

<?php include_once(G5_PATH.'/tail.sub.php'); ?>
